/* If you would like to have the Arduino powered off of USB
and the motors powered off of a DC power supply,
plug in the USB cable. Then connect the motor supply to
the PWR_EXT block on the shield. Do not place the jumper
on the shield. This is a suggested method of powering your motor
project (If you have a Diecimila Arduino, don't forget to set
the Arduino power jumper to USB. If you have a Diecimila,
you can alternately do the following: plug the DC power
supply into the Arduino, and place the jumper on the motor shield.)

DIRECT QUOTE FROM ADAFRUIT */

/* A stepper motor to satisfy all your robotics needs! 
This 4-wire bipolar stepper has 1.8° per step for smooth motion
and a nice holding torque. The motor was specified to have a max current of 350mA
so that it could be driven easily with an Adafruit motor shield for Arduino
(or other motor driver) and a wall adapter or lead-acid battery.
Some nice details include a ready-to-go cable and a machined drive shaft
(so you can easily attach stuff). We drove it with an Adafruit motor shield for Arduino
and it hummed along nicely at 250 RPM. To connect to our shield, put the wires
in this order: Red, Yellow, skip ground, Green, Brown 

DIRECT QUOTE FROM ADAFRUIT ABOUT THE STEPPER WE HAVE */

/* 1.  Make sure you include <AFMotor.h>
2.  Create the stepper motor object with AF_Stepper(steps, stepper#) to setup the motor
H-bridge and latches. Steps indicates how many steps per revolution the motor has.
a 7.5degree/step motor has 360/7.5 = 48 steps. Stepper# is which port it is connected to.
If you're using M1 and M2, its port 1. If you're using M3 and M4 its port 2.
3.  Set the speed of the motor using setSpeed(rpm) where rpm is how many
revolutions per minute you want the stepper to turn.
4.  Then every time you want the motor to move, call the step(#steps, direction, steptype)
procedure. #steps is how many steps you'd like it to take. direction is either FORWARD
or BACKWARD and the step type is SINGLE, DOUBLE. INTERLEAVE or MICROSTEP.
"Single" means single-coil activation, "double" means 2 coils are activated at once
(for higher torque) and "interleave" means that it alternates between single and double
to get twice the resolution (but of course its half the speed). "Microstepping" is a
method where the coils are PWM'd to create smooth motion between steps. Theres tons of
information about the pros and cons of these different stepping methods in the resources
page.
You can use whichever stepping method you want, changing it "on the fly" to as you may
want minimum power, more torque, or more precision.
5.  By default, the motor will 'hold' the position after its done stepping. If you want
to release all the coils, so that it can spin freely, call release()
6.  The stepping commands are 'blocking' and will return once the steps have finished.

QUOTE ABOUT CODING USING STEPPERS 

Ours has 1.8 degree per step -> 360/1.8 = 200
*/

//  Stepper test program modified to our stepper Using ports M3 and M4


#include <AFMotor.h>

// Connect a stepper motor with 200 steps per revolution (1.8 degree)
// to motor port #2 (M3 and M4)
AF_Stepper motor(200, 2);

void setup() {
  Serial.begin(9600);           // set up Serial library at 9600 bps
  Serial.println("Stepper test!");

  motor.setSpeed(10);  // 10 rpm   
}

void loop() {
  Serial.println("Single coil steps");
  motor.step(200, FORWARD, SINGLE); 
  motor.step(200, BACKWARD, SINGLE); 

  Serial.println("Double coil steps");
  motor.step(200, FORWARD, DOUBLE); 
  motor.step(200, BACKWARD, DOUBLE);

  Serial.println("Interleave coil steps");
  motor.step(200, FORWARD, INTERLEAVE); 
  motor.step(200, BACKWARD, INTERLEAVE); 

  Serial.println("Micrsostep steps");
  motor.step(200, FORWARD, MICROSTEP); 
  motor.step(200, BACKWARD, MICROSTEP); 
}
